//
// © 2017-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import Foundation
import MediaPlayer

struct MusicLibrarySong {
	let id: UInt64
	let title: String
	let artist: String
	let album: String
	let hasDRM: Bool
}

extension MusicLibrarySong: Hashable {
    func hash(into: inout Hasher) {
        into.combine(id)
    }
	
	static func ==(lhs: MusicLibrarySong, rhs: MusicLibrarySong) -> Bool {
		return lhs.id == rhs.id
	}
}

